%define upstream_name    Pod-Weaver-Section-SeeAlso
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Add a SEE ALSO pod section
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This section plugin will produce a hunk of pod that references the main
module of a dist from it's submodules and adds any other text already
present in the pod. It will do this only if it is being built with the
Dist::Zilla manpage because it needs the data from the dzil object.

In the main module, this section plugin just transforms the links into a
proper list. In the submodules, it also adds the link to the main module.

For an example of what the hunk looks like, look at the the /SEE ALSO
manpage section in this POD :)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1496816
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.3.0-4.mga7
+ Revision: 1270845
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.3.0-3.mga6
+ Revision: 1032374
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.3.0-2.mga6
+ Revision: 966796
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.3.0-1.mga6
+ Revision: 846893
- update to 1.003

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 748336
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 514352
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 372088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 71687
- imported package perl-Pod-Weaver-Section-SeeAlso


* Tue Mar 15 2011 cpan2dist 1.002-1mga
- initial mageia release, generated with cpan2dist
